Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.opengis.annotation
Enum Obligation

    Object
      Enum<Obligation>
          Obligation

All Implemented Interfaces:
  Serializable, Comparable<Obligation>

    @UML(identifier="MD_ObligationCode",
         specification=ISO_19115)
    public enum Obligation

extends Enum<Obligation>

Obligation of the element or entity. The enum values declared here are an exact copy of the code list elements declared in the `Obligation` code list from the metadata package.

Since:
  GeoAPI 2.0
Version:
  ISO 19115

Enum Constant Summary
`CONDITIONAL` Element is required when a specific condition is met.
`FORBIDDEN` The element should always be `null`.
`MANDATORY` Element is always required.
`OPTIONAL` Element is not required.

Method Summary
`static Obligation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Obligation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONDITIONAL

    public static final Obligation CONDITIONAL

  Element is required when a specific condition is met.

### OPTIONAL

    @UML(identifier="optional",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Obligation OPTIONAL

  Element is not required.

### MANDATORY

    @UML(identifier="mandatory",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Obligation MANDATORY

  Element is always required.

### FORBIDDEN

    @Extension
    public static final Obligation FORBIDDEN

  The element should always be `null`. This obligation code is used only when a subinterface overrides an association and force it to a `null` value. An example is `TemporalDatum.getAnchorPoint()`.

Method Detail

### values

    public static Obligation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Obligation c : Obligation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Obligation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.